## nvidia-graphics-drivers-550-server 550.54.15

=== src/nvidia-modeset/Makefile ===
###########################################################################
# Makefile for nv-modeset-kernel.o
###########################################################################

NV_MODULE_LOGGING_NAME ?= nvidia-modeset

VERSION_MK_DIR = ../../
include ../../utils.mk

include srcs.mk

##############################################################################
# Helper functions to determine the compiler type
##############################################################################
GET_COMPILER_TYPE = \
  $(shell $(VERSION_MK_DIR)/nv-compiler.sh type $(1))
##############################################################################

# The source files for nv-modeset-kernel.o are all SRCS and SRCS_CXX defined in
# srcs.mk, and the NVIDIA ID string
ALL_SRCS = $(SRCS) $(SRCS_CXX)
ALL_SRCS += $(NVIDSTRING)

SRC_COMMON = ../common

CONDITIONAL_CFLAGS :=

CFLAGS += -include $(SRC_COMMON)/sdk/nvidia/inc/cpuopsys.h

CFLAGS += -I $(SRC_COMMON)/sdk/nvidia/inc
CFLAGS += -I $(SRC_COMMON)/sdk/nvidia/inc/hw
CFLAGS += -I $(SRC_COMMON)/shared/inc
CFLAGS += -I $(SRC_COMMON)/inc
CFLAGS += -I $(SRC_COMMON)/softfloat/nvidia
CFLAGS += -I $(SRC_COMMON)/softfloat/source/include
CFLAGS += -I $(SRC_COMMON)/softfloat/source/8086-SSE
CFLAGS += -I $(SRC_COMMON)/unix/common/utils/interface
CFLAGS += -I $(SRC_COMMON)/unix/common/inc
CFLAGS += -I $(SRC_COMMON)/modeset
CFLAGS += -I os-interface/include
CFLAGS += -I kapi/interface
CFLAGS += -I ../nvidia/arch/nvalloc/unix/include
CFLAGS += -I interface
CFLAGS += -I include
CFLAGS += -I kapi/include
CFLAGS += -I generated
CFLAGS += -I $(SRC_COMMON)/displayport/inc
CFLAGS += -I $(SRC_COMMON)/displayport/inc/dptestutil
CFLAGS += -I $(SRC_COMMON)/inc/displayport

CFLAGS += -DNDEBUG
CFLAGS += -D_LANGUAGE_C
CFLAGS += -D__NO_CTYPE

CFLAGS += -DNV_CPU_INTRINSICS_KERNEL
CFLAGS += -DNVHDMIPKT_RM_CALLS_INTERNAL=0

# XXX it would be nice to only define these for appropriate files...
CFLAGS += -DSOFTFLOAT_ROUND_ODD
CFLAGS += -DSOFTFLOAT_FAST_DIV32TO16
CFLAGS += -DSOFTFLOAT_FAST_DIV64TO32

# Tell nvtiming to use nvkms import functions
CFLAGS += -DNVT_USE_NVKMS

CFLAGS += -Wformat
CFLAGS += -Wreturn-type
CFLAGS += -Wswitch
CFLAGS += -Wunused-local-typedefs
CFLAGS += -Wchar-subscripts
CFLAGS += -Wparentheses
CFLAGS += -Wpointer-arith
CFLAGS += -Wcast-qual
CFLAGS += -Wall
CFLAGS += -Wextra
CFLAGS += -Wno-sign-compare
CFLAGS += -Wno-unused-parameter
CFLAGS += -Wno-missing-field-initializers
CFLAGS += -Wno-format-zero-length
CFLAGS += -Wmissing-declarations
CFLAGS += -Wno-cast-qual

CFLAGS += -O2

ifeq ($(TARGET_ARCH),x86_64)
  CFLAGS += -msoft-float
  CFLAGS += -mno-red-zone
  CFLAGS += -mcmodel=kernel
  CFLAGS += -mno-mmx
  CFLAGS += -mno-sse
  CFLAGS += -mno-sse2
  CFLAGS += -mno-3dnow
endif

ifeq ($(TARGET_ARCH),aarch64)
  CFLAGS += -mgeneral-regs-only
  CFLAGS += -march=armv8-a
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mno-outline-atomics)
endif

ifeq ($(TARGET_ARCH),riscv64)
  CFLAGS += -march=rv64imac_zicsr_zifencei
  CFLAGS += -mabi=lp64
  CFLAGS += -mcmodel=medany
  CFLAGS += -mno-relax
endif

CFLAGS += -fno-pic
CFLAGS += -fno-common
CFLAGS += -fomit-frame-pointer
CFLAGS += -fno-strict-aliasing
CFLAGS += -ffunction-sections
CFLAGS += -fdata-sections
CFLAGS += -ffreestanding
CFLAGS += -fno-stack-protector

CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -Wformat-overflow=2)
CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -Wformat-truncation=1)

ifeq ($(TARGET_ARCH),x86_64)
  COMPILER_TYPE := $(call GET_COMPILER_TYPE, $(CC))
  ENDBR_SUPPORTED := $(call AS_HAS_INSTR, endbr64)

  FCF_SUPPORTED =

  #
  # GCC flags -fcf-protection=branch and -mindirect-branch=extern-thunk can
  # be used together after GCC version 9.4.0. See 
  # https://gcc.gnu.org/bugzilla/show_bug.cgi?id=93654 for details.
  # Check if GCC version is appropriate.
  #
  ifeq ($(COMPILER_TYPE),gcc)
    FCF_SUPPORTED := \
      $(shell $(VERSION_MK_DIR)/nv-compiler.sh version_is_at_least $(CC) 90400)
  endif

  #
  # Clang version 14.0.0 is required for -fcf-protection=branch to work
  # correctly. See commit
  # https://github.com/llvm/llvm-project/commit/dfcf69770bc522b9e411c66454934a37c1f35332
  #
  ifeq ($(COMPILER_TYPE),clang)
    FCF_SUPPORTED := \
      $(shell $(VERSION_MK_DIR)/nv-compiler.sh version_is_at_least $(CC) 140000)
  endif

  ifeq ($(FCF_SUPPORTED)-$(ENDBR_SUPPORTED),1-1)
    CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -fcf-protection=branch)
  endif
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -fno-jump-tables)
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mindirect-branch=thunk-extern)
  CONDITIONAL_CFLAGS += $(call TEST_CC_ARG, -mindirect-branch-register)
endif

CFLAGS += $(CONDITIONAL_CFLAGS)

CC_ONLY_CFLAGS += -Wimplicit
CC_ONLY_CFLAGS += -Wstrict-prototypes
CC_ONLY_CFLAGS += -Wmissing-prototypes
CC_ONLY_CFLAGS += -std=gnu11

CXX_ONLY_CFLAGS += -std=gnu++11
CXX_ONLY_CFLAGS += -fno-operator-names
CXX_ONLY_CFLAGS += -fno-rtti
CXX_ONLY_CFLAGS += -fno-exceptions
CXX_ONLY_CFLAGS += -fcheck-new

SHADER_OBJS =

  CFLAGS += -DNVKMS_INCLUDE_HEADSURFACE=1

  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-3d/interface
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-push/interface
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-3d/include
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-push/include
  CFLAGS += -I $(SRC_COMMON)/unix/xzminidec/interface
  CFLAGS += -I $(SRC_COMMON)/unix/nvidia-headsurface
  CFLAGS += -I src/shaders

  CFLAGS += -DNV_PUSH_IN_KERNEL
  CFLAGS += -DNV_XZ_CUSTOM_MEM_HOOKS
  CFLAGS += -DNV_XZ_USE_NVTYPES
  CFLAGS += -DXZ_DEC_SINGLE

  # Compress the shaders and embed in ELF object files.
  define COMPRESS_SHADERS
    $$(OUTPUTDIR)/$(1)_shaders.xz: src/shaders/g_$(1)_shaders
	@$(MKDIR) $$(OUTPUTDIR)
	$$(call quiet_cmd,XZ) -ce -C none < $$^ > $$@

    $$(eval $$(call READ_ONLY_OBJECT_FROM_FILE_RULE,$$(OUTPUTDIR)/$(1)_shaders.xz))

    SHADER_OBJS += $$(OUTPUTDIR)/$(1)_shaders.xz.o
  endef

  $(eval $(call COMPRESS_SHADERS,maxwell))
  $(eval $(call COMPRESS_SHADERS,pascal))
  $(eval $(call COMPRESS_SHADERS,volta))
  $(eval $(call COMPRESS_SHADERS,turing))
  $(eval $(call COMPRESS_SHADERS,ampere))
    $(eval $(call COMPRESS_SHADERS,hopper))

OBJS = $(call BUILD_OBJECT_LIST,$(ALL_SRCS))
OBJS += $(SHADER_OBJS)

# Define how to generate the NVIDIA ID string
$(eval $(call GENERATE_NVIDSTRING, \
  NV_KMS_ID, \
  UNIX Open Kernel Mode Setting Driver, $(OBJS)))

# Define how to build each object file from the corresponding source file.
$(foreach src, $(ALL_SRCS), $(eval $(call DEFINE_OBJECT_RULE,TARGET,$(src))))

NV_MODESET_KERNEL_O = $(OUTPUTDIR)/nv-modeset-kernel.o

.PHONY: all
all: $(NV_MODESET_KERNEL_O)

$(NV_MODESET_KERNEL_O): $(OBJS)
	$(call quiet_cmd,LD) -r -o $(NV_MODESET_KERNEL_O) $(OBJS)

.PHONY: clean
clean:
	$(RM) -rf $(OUTPUTDIR)

=== debian/changelog ===
nvidia-graphics-drivers-550-server (550.54.15-0ubuntu2) noble; urgency=medium

  * Limit supported pci-id's to the new ones supported by this release.
    (LP: #2061830)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 16 Apr 2024 15:50:36 +0300

nvidia-graphics-drivers-550-server (550.54.15-0ubuntu1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:37:23 +0000

nvidia-graphics-drivers-550-server (550.54.15-0ubuntu0) noble; urgency=medium

  * New Upstream release (LP: 2059115)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 26 Mar 2024 12:52:08 +0100

nvidia-graphics-drivers-550-server (550.54.14-0ubuntu3) noble; urgency=medium

  * remove transtional packages for 535

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 12 Mar 2024 20:04:16 +0100

nvidia-graphics-drivers-550-server (550.54.14-0ubuntu2) noble; urgency=medium

  * Add transtional packages for 535
  * move supported-gpus.json to nvidia-kernel-common package

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 08 Mar 2024 09:35:09 +0100

nvidia-graphics-drivers-550-server (550.54.14-0ubuntu1) noble; urgency=medium

  * Initial release (LP: #2055384)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 01 Mar 2024 13:30:49 +0100

=== debian/control ===
Source: nvidia-graphics-drivers-550-server
Section: non-free/libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders:
 Kuba Pawlak <kuba.pawlak@canonical.com>,
Vcs-Git: git://github.com/canonical/nvidia-graphics-drivers.git
Vcs-Browser: https://github.com/canonical/nvidia-graphics-drivers/tree/550-server
Build-Depends:
 debhelper (>= 12),
 dpkg-dev (>= 1.17.11~),
 xz-utils,
 zstd,
 dkms,
 libxext6,
 po-debconf,
 dh-modaliases,
 xserver-xorg-dev (>= 2:1.4),
 libglvnd-dev,
 libkmod-dev,
 libpciaccess-dev,
 pkg-config,
 libnvidia-egl-wayland1,
 libc6,
 libx11-6,
 python3,
Standards-Version: 4.1.1
Homepage: http://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-driver-550-server
Architecture: amd64 arm64
Depends:
 libnvidia-gl-550-server (= ${binary:Version}),
 nvidia-dkms-550-server (<= 550.54.15-1),
 nvidia-dkms-550-server (>= 550.54.15),
 nvidia-kernel-common-550-server (<= 550.54.15-1),
 nvidia-kernel-common-550-server (>= 550.54.15),
 nvidia-kernel-source-550-server (= ${binary:Version}),
 libnvidia-compute-550-server (= ${binary:Version}),
 libnvidia-extra-550-server (= ${binary:Version}),
 nvidia-compute-utils-550-server (= ${binary:Version}),
 libnvidia-decode-550-server (= ${binary:Version}),
 libnvidia-encode-550-server (= ${binary:Version}),
 nvidia-utils-550-server (= ${binary:Version}),
 xserver-xorg-video-nvidia-550-server (= ${binary:Version}),
 libnvidia-cfg1-550-server (= ${binary:Version}),
 libnvidia-fbc1-550-server (= ${binary:Version}) [!ppc64el],
 ${misc:Depends}
Recommends:
 libnvidia-compute-550-server:i386 (= ${binary:Version}) [amd64],
 libnvidia-decode-550-server:i386 (= ${binary:Version}) [amd64],
 libnvidia-encode-550-server:i386 (= ${binary:Version}) [amd64],
 libnvidia-fbc1-550-server:i386 (= ${binary:Version}) [amd64],
 libnvidia-gl-550-server:i386 (= ${binary:Version}) [amd64]
Suggests:
 nvidia-settings, nvidia-prime (>= 0.8)
XB-Modaliases: ${modaliases}
XB-PmAliases: ${nvidia:pm-modaliases}
XB-Support: PB
Description: NVIDIA Server Driver metapackage
 This metapackage depends on the NVIDIA binary driver and on all of its libraries,
 to provide hardware acceleration for OpenGL/GLX/EGL/GLES/Vulkan
 applications on either X11 or on Wayland.
 .
 See /usr/share/doc/nvidia-driver-550-server/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-kernel-source-550-server
Architecture: amd64 arm64
Multi-Arch: foreign
Conflicts:
 nvidia-kernel-source
Replaces:
 nvidia-kernel-source, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides:
 nvidia-kernel-source
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA kernel source package
 This package provides the NVIDIA kernel source needed by the userspace
 driver.

Package: nvidia-dkms-550-server
Architecture: amd64 arm64
Multi-Arch: foreign
Conflicts:
 nvidia-dkms-kernel
Breaks: nvidia-kernel-source-550-server (<< 390.25-0ubuntu2~)
Replaces:
 nvidia-dkms-kernel, nvidia-kernel-source-550-server (<< 390.25-0ubuntu2~), nvidia-384 (<< 390.25)
Provides:
 nvidia-dkms-kernel
Depends:
 dkms,
 nvidia-kernel-source-550-server (<= 550.54.15-1),
 nvidia-kernel-source-550-server (>= 550.54.15),
 nvidia-kernel-common-550-server (<= 550.54.15-1),
 nvidia-kernel-common-550-server (>= 550.54.15),
 nvidia-firmware-550-server-550.54.15,
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA DKMS package
 This package builds the NVIDIA kernel module needed by the userspace
 driver, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel, and automatically rebuilt for
 any new kernel headers that are installed.

Package: nvidia-utils-550-server
Architecture: amd64 arm64
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Suggests:
 nvidia-driver-550-server,
Provides:
 nvidia-utils, nvidia-smi
Conflicts:
 nvidia-utils, nvidia-smi
Replaces:
 nvidia-utils, nvidia-smi
Description: NVIDIA Server Driver support binaries
 This package contains supporting binaries for the NVIDIA Server Driver.

Package: libnvidia-compute-550-server
Architecture: i386 amd64 arm64
Multi-Arch: same
Depends:
  ${misc:Depends}, ${shlibs:Depends}
Provides: libnvidia-compute, nvidia-opencl-icd, opencl-icd, libnvidia-ml.so.1 (= ${source:Version}),
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1,
 libcuda.so.1 (= ${source:Version})
Conflicts: libnvidia-compute, nvidia-opencl-icd,
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1
Replaces: libnvidia-compute, nvidia-opencl-icd, libnvidia-compute-550-server (<< 390.25-0ubuntu2~),
 libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
 libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
 libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
 libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
 libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
 libcuda-11.7-1
Description: NVIDIA libcompute package
 This package provides a set of libraries which enable the NVIDIA Server Driver
 to use GPUs for parallel general purpose computation through CUDA and
 OpenCL.

Package: nvidia-compute-utils-550-server
Architecture: amd64 arm64
Depends:
 libnvidia-compute-550-server, adduser,
 ${misc:Depends}, ${shlibs:Depends}
Provides: nvidia-compute-utils, nvidia-persistenced
Conflicts: nvidia-compute-utils, nvidia-persistenced
Replaces: nvidia-compute-utils, nvidia-persistenced
Description: NVIDIA compute utilities
 This package provides utility binaries for paraller general purpose
 computing use cases with the NVIDIA Server Driver.
 .
 CUDA MPS is a feature that allows multiple CUDA processes to share a single
 GPU context. CUDA MPS should be transparent to CUDA programs.
 .
 CUDA MPS requires a device that supports Unified Virtual Address (UVA) and
 has compute capability SM 3.5 or higher.
 Pre-CUDA 4.0 APIs are not supported under CUDA MPS.

Package: nvidia-headless-no-dkms-550-server
Architecture: amd64 arm64
Conflicts: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides: nvidia-384
Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Depends:
 nvidia-kernel-common-550-server (<= 550.54.15-1),
 nvidia-kernel-common-550-server (>= 550.54.15),
 nvidia-kernel-source-550-server (= ${binary:Version}),
 libnvidia-compute-550-server (= ${binary:Version}),
 nvidia-compute-utils-550-server (= ${binary:Version}),
 libnvidia-cfg1-550-server (= ${binary:Version}),
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA headless metapackage - no DKMS
 This metapackage installs the NVIDIA Server Driver and the libraries that enable
 parallel general purpose computation through CUDA and
 OpenCL. DKMS will not be installed, and, therefore, the kernel module
 will not be built.
 .
 Install this package if you do not need X11 or Wayland support, which is
 provided by the nvidia-driver-550-server metapackage.

Package: nvidia-headless-550-server
Architecture: amd64 arm64
Conflicts: nvidia-headless
Provides: nvidia-headless
Replaces: nvidia-headless
Depends:
 nvidia-headless-no-dkms-550-server,
 nvidia-dkms-550-server,
 ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA headless metapackage
 This metapackage installs the NVIDIA Server Driver and the libraries that enable
 parallel general purpose computation through CUDA and
 OpenCL.
 .
 Install this package if you do not need X11 or Wayland support, which is
 provided by the nvidia-driver-550-server metapackage.

Package: nvidia-kernel-common-550-server
Architecture: amd64 arm64
Conflicts: nvidia-kernel-common
Provides: nvidia-kernel-common
Depends:
 ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.54.15
Replaces:
 nvidia-dkms-550-server (<< 390.48-0ubuntu3~), nvidia-kernel-common
Description: Shared files used with the kernel module
 This package installs all the optional accessory files for the NVIDIA
 kernel module.
 .
 Install this package if you want to blacklist any conflicting kernel
 modules, and if you want udev to load the the NVIDIA kernel modules,
 and to create the uvm devices automatically.

Package: nvidia-firmware-550-server-550.54.15
Architecture: amd64 arm64
Breaks:
 nvidia-firmware-550-550.54.15
Replaces:
 nvidia-firmware-550-550.54.15
Depends:
 ${misc:Depends}
Description: Firmware files used by the kernel module
 This package installs required firmware files for the NVIDIA kernel
 module.

Package: libnvidia-gl-550-server
Architecture: i386 amd64 arm64
Multi-Arch: same
Conflicts: libnvidia-gl
Replaces: libnvidia-gl, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
Provides: libnvidia-gl, libglx-vendor, libegl-vendor
Depends:
 libnvidia-common-550-server, ${misc:Depends}, ${shlibs:Depends}
Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
 This package provides the NVIDIA OpenGL/GLX/EGL/GLES libraries and the
 Vulkan ICD.

Package: libnvidia-common-550-server
Architecture: all
Multi-Arch: foreign
Breaks: libnvidia-gl-550-server (<< 390.25-0ubuntu2~)
Conflicts: libnvidia-common
Replaces: libnvidia-common, libnvidia-gl-550-server (<< 390.25-0ubuntu2~)
Provides: libnvidia-common
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: Shared files used by the NVIDIA libraries
 This package provides a set of files that are required by the NVIDIA
 libraries.

Package: libnvidia-extra-550-server
Architecture: i386 amd64 arm64
Multi-Arch: same
Breaks: libnvidia-common-550-server (<< 440.64-0ubuntu3~)
Conflicts: libnvidia-extra
Replaces: libnvidia-extra, libnvidia-common-550-server (<< 440.64-0ubuntu3~)
Provides: libnvidia-extra
Depends:
 ${misc:Depends}, ${shlibs:Depends}
Description: Extra libraries for the NVIDIA Server Driver
 This package provides an additional set of libraries to be used with
 the NVIDIA Server Driver.

Package: xserver-xorg-video-nvidia-550-server
Section: non-free/x11
Architecture: amd64 arm64
Depends:
 libnvidia-cfg1-550-server (= ${binary:Version}),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: xorg-driver-binary, nvidia-driver-binary
Replaces: xorg-driver-binary, nvidia-driver-binary
Provides:
 xorg-driver-binary, nvidia-driver-binary,
 ${nvidia:xorgProvides}
Description: NVIDIA binary Xorg driver
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 See /usr/share/doc/nvidia-driver-550-server/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: libnvidia-cfg1-550-server
Architecture: amd64 arm64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-cfg1-any,
Conflicts:
 libnvidia-cfg1-any,
Replaces:
 libnvidia-cfg1-any,
Description: NVIDIA binary OpenGL/GLX configuration library
 The NVIDIA binary driver provides optimized hardware acceleration of
 OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
 for graphics cards using NVIDIA chip sets.
 .
 This package contains the libnvidia-cfg.so.1 runtime library.

Package: libnvidia-fbc1-550-server
Architecture: i386 amd64 arm64
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
# ${nvidia}-alternative (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Provides:
 libnvidia-fbc1,
Conflicts:
 libnvidia-fbc1,
Replaces:
 libnvidia-fbc1,

## nvidia-graphics-drivers-550-server 550.90.07

=== debian/changelog ===
nvidia-graphics-drivers-550-server (550.90.07-0ubuntu0.24.04.1) noble; urgency=medium

  * New upstream release (LP: #2067041)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 03 Jun 2024 12:14:52 +0200

nvidia-graphics-drivers-550-server (550.54.15-0ubuntu3.24.04.1) noble; urgency=medium

  * Change version to include LTS naming, no release as a package

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 07 May 2024 09:54:09 +0200

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-550-server (= ${binary:Version}),
- nvidia-dkms-550-server (<= 550.54.15-1),
- nvidia-dkms-550-server (>= 550.54.15),
- nvidia-kernel-common-550-server (<= 550.54.15-1),
- nvidia-kernel-common-550-server (>= 550.54.15),
+ nvidia-dkms-550-server (<= 550.90.07-1),
+ nvidia-dkms-550-server (>= 550.90.07),
+ nvidia-kernel-common-550-server (<= 550.90.07-1),
+ nvidia-kernel-common-550-server (>= 550.90.07),
  nvidia-kernel-source-550-server (= ${binary:Version}),
  libnvidia-compute-550-server (= ${binary:Version}),
  libnvidia-extra-550-server (= ${binary:Version}),
@@ -93,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-550-server (<= 550.54.15-1),
- nvidia-kernel-source-550-server (>= 550.54.15),
- nvidia-kernel-common-550-server (<= 550.54.15-1),
- nvidia-kernel-common-550-server (>= 550.54.15),
- nvidia-firmware-550-server-550.54.15,
+ nvidia-kernel-source-550-server (<= 550.90.07-1),
+ nvidia-kernel-source-550-server (>= 550.90.07),
+ nvidia-kernel-common-550-server (<= 550.90.07-1),
+ nvidia-kernel-common-550-server (>= 550.90.07),
+ nvidia-firmware-550-server-550.90.07,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -132,7 +132,8 @@
  libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
  libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
  libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
- libcuda-11.7-1,
+ libcuda-11.7-1, libcuda-11.8-1, libcuda-12.0-1, libcuda-12.1-1,
+ libcuda-12.2-1, libcuda-12.3-1, libcuda-12.4-1,
  libcuda.so.1 (= ${source:Version})
 Conflicts: libnvidia-compute, nvidia-opencl-icd,
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
@@ -140,14 +141,16 @@
  libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
  libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
  libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
- libcuda-11.7-1
+ libcuda-11.7-1, libcuda-11.8-1, libcuda-12.0-1, libcuda-12.1-1,
+ libcuda-12.2-1, libcuda-12.3-1, libcuda-12.4-1
 Replaces: libnvidia-compute, nvidia-opencl-icd, libnvidia-compute-550-server (<< 390.25-0ubuntu2~),
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
  libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
  libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
  libcuda-10.2-1, libcuda-11.0-1, libcuda-11.1-1, libcuda-11.2-1,
  libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
- libcuda-11.7-1
+ libcuda-11.7-1, libcuda-11.8-1, libcuda-12.0-1, libcuda-12.1-1,
+ libcuda-12.2-1, libcuda-12.3-1, libcuda-12.4-1
 Description: NVIDIA libcompute package
  This package provides a set of libraries which enable the NVIDIA Server Driver
  to use GPUs for parallel general purpose computation through CUDA and
@@ -178,8 +181,8 @@
 Provides: nvidia-384
 Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
 Depends:
- nvidia-kernel-common-550-server (<= 550.54.15-1),
- nvidia-kernel-common-550-server (>= 550.54.15),
+ nvidia-kernel-common-550-server (<= 550.90.07-1),
+ nvidia-kernel-common-550-server (>= 550.90.07),
  nvidia-kernel-source-550-server (= ${binary:Version}),
  libnvidia-compute-550-server (= ${binary:Version}),
  nvidia-compute-utils-550-server (= ${binary:Version}),
@@ -216,7 +219,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.54.15
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.90.07
 Replaces:
  nvidia-dkms-550-server (<< 390.48-0ubuntu3~), nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -227,12 +230,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-550-server-550.54.15
+Package: nvidia-firmware-550-server-550.90.07
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-550-550.54.15
-Replaces:
- nvidia-firmware-550-550.54.15
+ nvidia-firmware-550-550.90.07
+Replaces:
+ nvidia-firmware-550-550.90.07
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -318,16 +321,3 @@
  This package contains the libnvidia-cfg.so.1 runtime library.
 
 Package: libnvidia-fbc1-550-server
-Architecture: i386 amd64 arm64
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
-# ${nvidia}-alternative (= ${binary:Version}),
- ${shlibs:Depends}, ${misc:Depends}
-Provides:
- libnvidia-fbc1,
-Conflicts:
- libnvidia-fbc1,
-Replaces:
- libnvidia-fbc1,

## nvidia-graphics-drivers-550-server 550.90.12

=== debian/changelog ===
nvidia-graphics-drivers-550-server (550.90.12-0ubuntu2) oracular; urgency=medium

  * libnvidia-compute-550-server should provide libcuda1 (LP: #2081723)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 23 Sep 2024 16:50:22 +0200

nvidia-graphics-drivers-550-server (550.90.12-0ubuntu1) oracular; urgency=medium

  * New Upstream release (LP: #2078689)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 02 Sep 2024 13:15:10 +0200

nvidia-graphics-drivers-550-server (550.90.07-0ubuntu2) oracular; urgency=medium

  * Add runtime dependency on libnvidia-egl-wayland1, needed to properly support wayland sessions (LP: #2062082)
  [ Paolo Pisati ]
  * Fix gcc-14 FTBFS (LP: #2075340) 

 -- Eduard de Vidal Flores <eduard.de.vidal.flores@canonical.com>  Thu, 01 Aug 2024 16:07:25 +0200

nvidia-graphics-drivers-550-server (550.90.07-0ubuntu1) oracular; urgency=medium

  *  New upstream release (LP: #2067041)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Mon, 03 Jun 2024 12:08:13 +0200

nvidia-graphics-drivers-550-server (550.54.15-0ubuntu3) oracular; urgency=medium

  * Switch development branch to oracular

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 07 May 2024 10:09:50 +0200

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-550-server (= ${binary:Version}),
- nvidia-dkms-550-server (<= 550.90.07-1),
- nvidia-dkms-550-server (>= 550.90.07),
- nvidia-kernel-common-550-server (<= 550.90.07-1),
- nvidia-kernel-common-550-server (>= 550.90.07),
+ nvidia-dkms-550-server (<= 550.90.12-1),
+ nvidia-dkms-550-server (>= 550.90.12),
+ nvidia-kernel-common-550-server (<= 550.90.12-1),
+ nvidia-kernel-common-550-server (>= 550.90.12),
  nvidia-kernel-source-550-server (= ${binary:Version}),
  libnvidia-compute-550-server (= ${binary:Version}),
  libnvidia-extra-550-server (= ${binary:Version}),
@@ -93,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-550-server (<= 550.90.07-1),
- nvidia-kernel-source-550-server (>= 550.90.07),
- nvidia-kernel-common-550-server (<= 550.90.07-1),
- nvidia-kernel-common-550-server (>= 550.90.07),
- nvidia-firmware-550-server-550.90.07,
+ nvidia-kernel-source-550-server (<= 550.90.12-1),
+ nvidia-kernel-source-550-server (>= 550.90.12),
+ nvidia-kernel-common-550-server (<= 550.90.12-1),
+ nvidia-kernel-common-550-server (>= 550.90.12),
+ nvidia-firmware-550-server-550.90.12,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -127,6 +127,7 @@
 Depends:
   ${misc:Depends}, ${shlibs:Depends}
 Provides: libnvidia-compute, nvidia-opencl-icd, opencl-icd, libnvidia-ml.so.1 (= ${source:Version}),
+ libnvidia-ml1 (= ${source:Version}),
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
  libcuda-7.0-1, libcuda-7.5-1, libcuda-8.0-1, libcuda-9.0-1,
  libcuda-9.1-1, libcuda-9.2-1, libcuda-10.0-1, libcuda-10.1-1,
@@ -134,6 +135,7 @@
  libcuda-11.3-1, libcuda-11.4-1, libcuda-11.5-1, libcuda-11.6-1,
  libcuda-11.7-1, libcuda-11.8-1, libcuda-12.0-1, libcuda-12.1-1,
  libcuda-12.2-1, libcuda-12.3-1, libcuda-12.4-1,
+ libcuda1 (= ${source:Version}),
  libcuda.so.1 (= ${source:Version})
 Conflicts: libnvidia-compute, nvidia-opencl-icd,
  libcuda-5.0-1, libcuda-5.5-1, libcuda-6.0-1, libcuda-6.5-1,
@@ -181,8 +183,8 @@
 Provides: nvidia-384
 Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
 Depends:
- nvidia-kernel-common-550-server (<= 550.90.07-1),
- nvidia-kernel-common-550-server (>= 550.90.07),
+ nvidia-kernel-common-550-server (<= 550.90.12-1),
+ nvidia-kernel-common-550-server (>= 550.90.12),
  nvidia-kernel-source-550-server (= ${binary:Version}),
  libnvidia-compute-550-server (= ${binary:Version}),
  nvidia-compute-utils-550-server (= ${binary:Version}),
@@ -219,7 +221,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.90.07
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.90.12
 Replaces:
  nvidia-dkms-550-server (<< 390.48-0ubuntu3~), nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -230,12 +232,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-550-server-550.90.07
+Package: nvidia-firmware-550-server-550.90.12
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-550-550.90.07
-Replaces:
- nvidia-firmware-550-550.90.07
+ nvidia-firmware-550-550.90.12
+Replaces:
+ nvidia-firmware-550-550.90.12
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
@@ -249,7 +251,8 @@
 Replaces: libnvidia-gl, nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
 Provides: libnvidia-gl, libglx-vendor, libegl-vendor
 Depends:
- libnvidia-common-550-server, ${misc:Depends}, ${shlibs:Depends}
+ libnvidia-common-550-server, ${misc:Depends}, ${shlibs:Depends},
+ libnvidia-egl-wayland1
 Description: NVIDIA OpenGL/GLX/EGL/GLES GLVND libraries and Vulkan ICD
  This package provides the NVIDIA OpenGL/GLX/EGL/GLES libraries and the
  Vulkan ICD.
@@ -318,6 +321,3 @@
  OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
  for graphics cards using NVIDIA chip sets.
  .
- This package contains the libnvidia-cfg.so.1 runtime library.
-
-Package: libnvidia-fbc1-550-server

## nvidia-graphics-drivers-550-server 550.127.05

=== debian/changelog ===
nvidia-graphics-drivers-550-server (550.127.05-0ubuntu0.24.10.1) oracular; urgency=medium

  * New upstream release (LP: #2084914)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 18 Oct 2024 17:19:26 +0200

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-550-server (= ${binary:Version}),
- nvidia-dkms-550-server (<= 550.90.12-1),
- nvidia-dkms-550-server (>= 550.90.12),
- nvidia-kernel-common-550-server (<= 550.90.12-1),
- nvidia-kernel-common-550-server (>= 550.90.12),
+ nvidia-dkms-550-server (<= 550.127.05-1),
+ nvidia-dkms-550-server (>= 550.127.05),
+ nvidia-kernel-common-550-server (<= 550.127.05-1),
+ nvidia-kernel-common-550-server (>= 550.127.05),
  nvidia-kernel-source-550-server (= ${binary:Version}),
  libnvidia-compute-550-server (= ${binary:Version}),
  libnvidia-extra-550-server (= ${binary:Version}),
@@ -93,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-550-server (<= 550.90.12-1),
- nvidia-kernel-source-550-server (>= 550.90.12),
- nvidia-kernel-common-550-server (<= 550.90.12-1),
- nvidia-kernel-common-550-server (>= 550.90.12),
- nvidia-firmware-550-server-550.90.12,
+ nvidia-kernel-source-550-server (<= 550.127.05-1),
+ nvidia-kernel-source-550-server (>= 550.127.05),
+ nvidia-kernel-common-550-server (<= 550.127.05-1),
+ nvidia-kernel-common-550-server (>= 550.127.05),
+ nvidia-firmware-550-server-550.127.05,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -183,8 +183,8 @@
 Provides: nvidia-384
 Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
 Depends:
- nvidia-kernel-common-550-server (<= 550.90.12-1),
- nvidia-kernel-common-550-server (>= 550.90.12),
+ nvidia-kernel-common-550-server (<= 550.127.05-1),
+ nvidia-kernel-common-550-server (>= 550.127.05),
  nvidia-kernel-source-550-server (= ${binary:Version}),
  libnvidia-compute-550-server (= ${binary:Version}),
  nvidia-compute-utils-550-server (= ${binary:Version}),
@@ -221,7 +221,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.90.12
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.127.05
 Replaces:
  nvidia-dkms-550-server (<< 390.48-0ubuntu3~), nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -232,12 +232,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-550-server-550.90.12
+Package: nvidia-firmware-550-server-550.127.05
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-550-550.90.12
-Replaces:
- nvidia-firmware-550-550.90.12
+ nvidia-firmware-550-550.127.05
+Replaces:
+ nvidia-firmware-550-550.127.05
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module

## nvidia-graphics-drivers-550-server 550.127.08

=== debian/changelog ===
nvidia-graphics-drivers-550-server (550.127.08-0ubuntu0.24.10.1) oracular; urgency=medium

  * New upstream release 550.127.08 (LP: #2085502)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Tue, 19 Nov 2024 21:57:11 +0100

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-550-server (= ${binary:Version}),
- nvidia-dkms-550-server (<= 550.127.05-1),
- nvidia-dkms-550-server (>= 550.127.05),
- nvidia-kernel-common-550-server (<= 550.127.05-1),
- nvidia-kernel-common-550-server (>= 550.127.05),
+ nvidia-dkms-550-server (<= 550.127.08-1),
+ nvidia-dkms-550-server (>= 550.127.08),
+ nvidia-kernel-common-550-server (<= 550.127.08-1),
+ nvidia-kernel-common-550-server (>= 550.127.08),
  nvidia-kernel-source-550-server (= ${binary:Version}),
  libnvidia-compute-550-server (= ${binary:Version}),
  libnvidia-extra-550-server (= ${binary:Version}),
@@ -93,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-550-server (<= 550.127.05-1),
- nvidia-kernel-source-550-server (>= 550.127.05),
- nvidia-kernel-common-550-server (<= 550.127.05-1),
- nvidia-kernel-common-550-server (>= 550.127.05),
- nvidia-firmware-550-server-550.127.05,
+ nvidia-kernel-source-550-server (<= 550.127.08-1),
+ nvidia-kernel-source-550-server (>= 550.127.08),
+ nvidia-kernel-common-550-server (<= 550.127.08-1),
+ nvidia-kernel-common-550-server (>= 550.127.08),
+ nvidia-firmware-550-server-550.127.08,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -183,8 +183,8 @@
 Provides: nvidia-384
 Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
 Depends:
- nvidia-kernel-common-550-server (<= 550.127.05-1),
- nvidia-kernel-common-550-server (>= 550.127.05),
+ nvidia-kernel-common-550-server (<= 550.127.08-1),
+ nvidia-kernel-common-550-server (>= 550.127.08),
  nvidia-kernel-source-550-server (= ${binary:Version}),
  libnvidia-compute-550-server (= ${binary:Version}),
  nvidia-compute-utils-550-server (= ${binary:Version}),
@@ -221,7 +221,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.127.05
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.127.08
 Replaces:
  nvidia-dkms-550-server (<< 390.48-0ubuntu3~), nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -232,12 +232,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-550-server-550.127.05
+Package: nvidia-firmware-550-server-550.127.08
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-550-550.127.05
-Replaces:
- nvidia-firmware-550-550.127.05
+ nvidia-firmware-550-550.127.08
+Replaces:
+ nvidia-firmware-550-550.127.08
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module

## nvidia-graphics-drivers-550-server 550.144.03

=== debian/changelog ===
nvidia-graphics-drivers-550-server (550.144.03-0ubuntu2) plucky; urgency=medium

  * Linux 6.14 build fix 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Tue, 18 Feb 2025 15:43:46 +0000

nvidia-graphics-drivers-550-server (550.144.03-0ubuntu1) plucky; urgency=medium

  * New upstream release 550.144.03 (LP: #2095114)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 16 Jan 2025 20:53:46 +0100

nvidia-graphics-drivers-550-server (550.127.08-0ubuntu2) plucky; urgency=medium

  * New upstream release 550.127.08 (LP: #2085502)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Thu, 21 Nov 2024 16:08:53 +0100

nvidia-graphics-drivers-550-server (550.127.05-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2084914)

 -- Kuba Pawlak <kuba.pawlak@canonical.com>  Fri, 18 Oct 2024 17:19:26 +0200

=== debian/control ===
--- 
+++ 
@@ -32,10 +32,10 @@
 Architecture: amd64 arm64
 Depends:
  libnvidia-gl-550-server (= ${binary:Version}),
- nvidia-dkms-550-server (<= 550.127.08-1),
- nvidia-dkms-550-server (>= 550.127.08),
- nvidia-kernel-common-550-server (<= 550.127.08-1),
- nvidia-kernel-common-550-server (>= 550.127.08),
+ nvidia-dkms-550-server (<= 550.144.03-1),
+ nvidia-dkms-550-server (>= 550.144.03),
+ nvidia-kernel-common-550-server (<= 550.144.03-1),
+ nvidia-kernel-common-550-server (>= 550.144.03),
  nvidia-kernel-source-550-server (= ${binary:Version}),
  libnvidia-compute-550-server (= ${binary:Version}),
  libnvidia-extra-550-server (= ${binary:Version}),
@@ -93,11 +93,11 @@
  nvidia-dkms-kernel
 Depends:
  dkms,
- nvidia-kernel-source-550-server (<= 550.127.08-1),
- nvidia-kernel-source-550-server (>= 550.127.08),
- nvidia-kernel-common-550-server (<= 550.127.08-1),
- nvidia-kernel-common-550-server (>= 550.127.08),
- nvidia-firmware-550-server-550.127.08,
+ nvidia-kernel-source-550-server (<= 550.144.03-1),
+ nvidia-kernel-source-550-server (>= 550.144.03),
+ nvidia-kernel-common-550-server (<= 550.144.03-1),
+ nvidia-kernel-common-550-server (>= 550.144.03),
+ nvidia-firmware-550-server-550.144.03,
  ${misc:Depends}, ${shlibs:Depends}
 Description: NVIDIA DKMS package
  This package builds the NVIDIA kernel module needed by the userspace
@@ -183,8 +183,8 @@
 Provides: nvidia-384
 Replaces: nvidia-384 (<< 390.25), nvidia-390 (<< 390.25-0ubuntu1)
 Depends:
- nvidia-kernel-common-550-server (<= 550.127.08-1),
- nvidia-kernel-common-550-server (>= 550.127.08),
+ nvidia-kernel-common-550-server (<= 550.144.03-1),
+ nvidia-kernel-common-550-server (>= 550.144.03),
  nvidia-kernel-source-550-server (= ${binary:Version}),
  libnvidia-compute-550-server (= ${binary:Version}),
  nvidia-compute-utils-550-server (= ${binary:Version}),
@@ -221,7 +221,7 @@
 Conflicts: nvidia-kernel-common
 Provides: nvidia-kernel-common
 Depends:
- ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.127.08
+ ${misc:Depends}, ${shlibs:Depends}, nvidia-firmware-550-server-550.144.03
 Replaces:
  nvidia-dkms-550-server (<< 390.48-0ubuntu3~), nvidia-kernel-common
 Description: Shared files used with the kernel module
@@ -232,12 +232,12 @@
  modules, and if you want udev to load the the NVIDIA kernel modules,
  and to create the uvm devices automatically.
 
-Package: nvidia-firmware-550-server-550.127.08
+Package: nvidia-firmware-550-server-550.144.03
 Architecture: amd64 arm64
 Breaks:
- nvidia-firmware-550-550.127.08
-Replaces:
- nvidia-firmware-550-550.127.08
+ nvidia-firmware-550-550.144.03
+Replaces:
+ nvidia-firmware-550-550.144.03
 Depends:
  ${misc:Depends}
 Description: Firmware files used by the kernel module
